SerializableTSinfo (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.shared
Class SerializableTSinfo

    java.lang.Object
      org.gcube.portlets.d4sreporting.common.shared.SerializableTSinfo

All Implemented Interfaces:
  Serializable

    public class SerializableTSinfo

extends Object
implements Serializable

Author:
  massi
See Also:
  Serialized Form

Field Summary
`protected Date` | `creationTime`
`protected String` | `creator`
`protected long` | `dimension`
`protected List<String>` | `headerLabels`
`protected String` | `id`
`protected Date` | `lastModificationTime`
`protected String` | `name`
`protected String` | `owner`
`protected String` | `publisher`
`protected String` | `rights`
`protected String` | `sourceId`
`protected String` | `sourceName`
`protected String` | `timeseriesCreationDate`
`protected String` | `timeseriesDescription`
`protected String` | `timeseriesId`
`protected String` | `title`

Constructor Summary
`SerializableTSinfo()`
`SerializableTSinfo(String id, String name, String description, String owner, Date creationTime, Date lastModificationTime, String timeseriesId, String title, String creator, String timeseriesDescription, String timeseriesCreationDate, String publisher, String sourceId, String sourceName, String rights, long dimension, List<String> headerLabels)`

Method Summary
`Date` | `getCreationTime()`
`String` | `getCreator()`
`long` | `getDimension()`
`List<String>` | `getHeaderLabels()`
`String` | `getId()`
`Date` | `getLastModificationTime()`
`String` | `getName()`
`String` | `getOwner()`
`String` | `getPublisher()`
`String` | `getRights()`
`String` | `getSourceId()`
`String` | `getSourceName()`
`String` | `getTimeSeriesCreationDate()`
`String` | `getTimeSeriesDescription()`
`String` | `getTimeSeriesId()`
`String` | `getTitle()`
`void` | `setCreationTime(Date creationTime)`
`void` | `setId(String id)`
`void` | `setLastModificationTime(Date lastModificationTime)`
`void` | `setName(String name)`
`void` | `setOwner(String owner)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected String id

### name

    protected String name

### timeseriesId

    protected String timeseriesId

### title

    protected String title

### owner

    protected String owner

### creator

    protected String creator

### timeseriesDescription

    protected String timeseriesDescription

### timeseriesCreationDate

    protected String timeseriesCreationDate

### publisher

    protected String publisher

### sourceId

    protected String sourceId

### sourceName

    protected String sourceName

### rights

    protected String rights

### dimension

    protected long dimension

### creationTime

    protected Date creationTime

### lastModificationTime

    protected Date lastModificationTime

### headerLabels

    protected List<String> headerLabels

Constructor Detail

### SerializableTSinfo

    public SerializableTSinfo()

### SerializableTSinfo

    public SerializableTSinfo(String id,
                              String name,
                              String description,
                              String owner,
                              Date creationTime,
                              Date lastModificationTime,
                              String timeseriesId,
                              String title,
                              String creator,
                              String timeseriesDescription,
                              String timeseriesCreationDate,
                              String publisher,
                              String sourceId,
                              String sourceName,
                              String rights,
                              long dimension,
                              List<String> headerLabels)

Parameters:
  `id` - id in basket
  `name` - name
  `description` - .
  `owner` - .
  `creationTime` - .
  `lastModificationTime` - .
  `timeseriesId` - .
  `title` - .
  `creator` - .
  `timeseriesDescription` - .
  `timeseriesCreationDate` - .
  `publisher` - .
  `sourceId` - .
  `sourceName` - .
  `rights` - .
  `dimension` - .
  `headerLabels` - .

Method Detail

### getLastModificationTime

    public Date getLastModificationTime()

  Returns:
    .

### setLastModificationTime

    public void setLastModificationTime(Date lastModificationTime)

  Parameters:
    `lastModificationTime` - .

### getCreationTime

    public Date getCreationTime()

  Returns:
    .

### setCreationTime

    public void setCreationTime(Date creationTime)

  Parameters:
    `creationTime` - .

### getOwner

    public String getOwner()

  Returns:
    .

### setOwner

    public void setOwner(String owner)

  Parameters:
    `owner` - .

### getId

    public String getId()

  Returns:
    .

### setId

    public void setId(String id)

  Parameters:
    `id` - .

### getName

    public String getName()

  Returns:
    .

### setName

    public void setName(String name)

  Parameters:
    `name` - .

### getCreator

    public String getCreator()

### getDimension

    public long getDimension()

### getPublisher

    public String getPublisher()

### getRights

    public String getRights()

### getSourceId

    public String getSourceId()

### getSourceName

    public String getSourceName()

### getTimeSeriesCreationDate

    public String getTimeSeriesCreationDate()

### getTimeSeriesDescription

    public String getTimeSeriesDescription()

### getTimeSeriesId

    public String getTimeSeriesId()

### getTitle

    public String getTitle()

### getHeaderLabels

    public List<String> getHeaderLabels()

  Returns:
    the headerLabels

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.